Search for LinX Batches

Search for LinX batches based on filters such as the template name, template ID, and batch status. You can also sort the results and limit the number of results returned.

Endpoint

GET /v2/linx/workflow-batches

Authorization Header

Authorization: Bearer <access_token>

Query Parameters

search

string

Perform a full-text search on the LinX batch and template display name.

You can also use the following filters to limit the search results. If both full-text search and search filters are used, they will be joined using AND.

status

string enum, values: NEW, QUEUED, COMPLETED, INVALID, CANCELLING, FAILED

Status of the LinX batch. The following values are supported:

  • NEW  New batch has been created.
  • QUEUED  Batch entries (requests) have been queued for creation.
  • COMPLETED  All requests have been executed.
  • INVALID  JSON schema validation failed.
  • CANCELLING  Batch has been cancelled.
  • FAILED  Batch was not processed.

templateId  REQUIRED

string (UUID)

ID of the LinX template used for the batch. This ID is the same for all versions of the template.

templateVersionId  REQUIRED

string (UUID)

ID of the version of the LinX template used for the batch.

sort

array of strings

Sort the response by any field in ascending or descending order. The default sort order is createdAt,DESC. For more information, see Sorting and Pagination.

page

integer (int32), default value: 1

Page number to return. Uses one-based indexing.

size

integer (int32)

Maximum number of results to return per page.

Request Body

None

Returns

Returns an array of LinX Batch Detail objects.

SAMPLE RESPONSE

				
					{
  "id": "93f1e6dd-5dc7-4660-91cc-5cb949b74c6d",
  "status": "ACTIVE",
  "templateId": "eb9b3097-9b8b-463f-ab61-a6dbd93cb88d",
  "templateVersionId": "18c49ebd-f144-4ba8-abce-25068220176c",
  "templateVersion": 2,
  "templateDisplayName": "Send a rebate",
  "activeRequestsCount": 10,
  "cancelledRequestsCount": 0,
  "completedRequestsCount": 20,
  "declinedRequestsCount": 0,
  "expiredRequestsCount": 0,
  "failedRequestsCount": 0,
  "rejectedRequestsCount": 0,
  "totalRequestsCount": 30,
  "createdBy": {
    "id": "03522665-75af-4e4e-b37d-f74f31ecbe85",
    "type": "service-account"
  },
  "createdAt": "2024-08-28T16:02:01.667Z",
  "updatedBy": {
    "id": "03522665-75af-4e4e-b37d-f74f31ecbe85",
    "type": "service-account"
  },
  "updatedAt": "2024-09-28T16:02:01.667Z"
}